### Function

# Ide ConfigManager ref_from_context

#### Declaration

    IdeConfigManager*
    ide_config_manager_ref_from_context (
      IdeContext* context
    )

#### Description

Thread-safe version of ide_config_manager_from_context().

Available since: | 3.32

#### Parameters

`context` | `IdeContext`
| An `IdeContext`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeConfigManager`
| An `IdeConfigManager`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.